/*-----------------------------------------------*/
/* BASIC SETUP */
/*-----------------------------------------------*/

/*targeting all elements and setting their padding and margins to 0, so they're gone*/
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

/*basic setup before we get started*/
html,
body {
    background-color: #fff;/*don't have to do this because by default, background is white anyways*/
    color: #555;
    font-family: "Lato", "Arial", sans-serif;
    font-size: 20px;
    font-weight: 300;
    text-rendering: optimizeLegibility;
    overflow-x: hidden;
}

.clearfix {zoom: 1}
.clearfix:after {
    content: ".";
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}

/*-----------------------------------------------*/
/* REUSABLE COMPONENTS */
/*-----------------------------------------------*/
.row {
    max-width: 1140px;
    margin: 0 auto;/*margin: 0 auto 0 auto;*/
}

section {
    padding: 80px 0;
}

.box {
    padding: 1%;
}

/* ----- HEADINGS ----- */
h1,
h2,
h3 {
    font-weight: 300;
    text-transform: uppercase;
}

h1 {
    margin-top: 0;
    margin-bottom: 20px;
    color: #fff;
    font-size: 240%;
    word-spacing: 4px;
    letter-spacing: 1px;
}

h2 {
    font-size: 180%;
    word-spacing: 2px;
    text-align: center;
    margin-bottom: 30px;
    letter-spacing: 1px;
}

h3 {
    font-size: 110%;
    margin-bottom: 15px;
    
}

h2:after {
    display: block;
    height: 2px;
    background-color: #e67e22;
    content: " ";
    width: 100px;
    margin: 0 auto;
    margin-top: 30px;
}

/* ----- PARAGRAPHS ----- */
.longCopy {
    line-height: 145%;
    width: 70%;
    margin-left: 15%;
}

.box p {
    font-size: 90%;
    line-height: 145%;
}

/* ----- ICONS ----- */
.iconBig {
    font-size: 325%;
    display: block;
    color: #e67e22;
    margin-bottom: 10px;
}

.iconSmall {
    display: inline-block;
    width: 30px;
    text-align: center;
    color: #e67e22;
    font-size: 120%;
    margin-right: 10px;
    
    /* secrets to align text and icons */
    line-height: 120%;
    vertical-align: middle;
    margin-top: -5px;
}

/* ----- LINKS ----- */
a:link,
a:visited {
    color: #e67e22;
    text-decoration: none;
    padding-bottom: 1px;
    border-bottom: 1px solid #e67e22;
    -webkit-transition: border-bottom 0.2s, color 0.2s;
    transition: border-bottom 0.2s, color 0.2s;
}

a:hover,
a:active {
    color: #555;
    border-bottom: 1px solid transparent;
    
}

/* ----- BUTTONS ----- */
.btn:link, 
.btn:visited,
input[type=submit]{
    display: inline-block;
    padding: 10px 30px;
    font-weight: 300;
    text-decoration: none;
    color: #fff;
    border-radius: 200px;
    -webkit-transition: background-color 0.2s, border 0.2s, color 0.2s;
    transition: background-color 0.2s, border 0.2s, color 0.2s;
}

.btnFull:link,
.btnFull:visited,
input[type=submit] {
    background-color: #e67e22;
    border: 1px solid #e67e22;
    margin-right: 15px;
}

.btnGhost:link,
.btnGhost:visited {
    border: 1px solid #e67e22;
    color: #e67e22;
}

.btn:hover,
.btn:active,
input[type=submit]:hover,
input[type=submit]:active {
    background-color: #cf6d17;
}

.btnFull:hover,
.btnFull:active {
    border: 1px solid #cf6d17;
}

.btnGhost:hover,
.btnGhost:active {
    border: 1px solid #cf6d17;
    color: #fff;
}

/*-----------------------------------------------*/
/* HEADER */
/*-----------------------------------------------*/
header {
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0.7)), to(rgba(0, 0, 0, 0.7))), url(img/hero-min.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/hero-min.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    height: 100vh; /*to fill the vieport- this code means it's 100% of the viewport*/
}

.heroTextBox {
    position: absolute;
    width: 1140px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.logoWhite {
    height: 100px;
    width: auto;
    float: left;
    margin-top: 20px;
}

.logoBlack {
    display: none;
    height: 50px;
    width: auto;
    float: left;
    margin: 5px 0;
}

/* Main Nav */
.mainNav {
    float: right;
    list-style: none;
    margin-top: 50px;
}

.mainNav li {
    display: inline-block;
    margin-left: 40px;
}

.mainNav li a:link,
.mainNav li a:visited {
    padding: 5px 0;
    color: #fff;
    text-decoration: none;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 90%;
    border-bottom: 2px solid transparent;
    -webkit-transition: border-bottom 0.2s;
    transition: border-bottom 0.2s;
}

.mainNav li a:hover,
.mainNav li a:active {
    border-bottom: 2px solid #e67e22;
}

/* Mobile Nav*/
.mobileNavIcon {
    float: right;
    margin-top: 30px;
    cursor: pointer;
    display: none;
}

.mobileNavIcon i {
    font-size: 200%;
    color: #fff;
}

/* Sticky Nav */
.sticky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.98); 
    box-shadow: 0 2px 2px #efefef;
    z-index: 9999;
        /*defines the vertical stacking of elements; it's like a stack of elements and now our sticky navigation will always be in the front*/
}

.sticky .mainNav {margin-top: 18px;}

.sticky .mainNav li a:link,
.sticky .mainNav li a:visited {
    padding: 16px 0;
    color: #555;
}

.sticky .logoWhite {display: none;}
.sticky .logoBlack {display: block;}


/*-----------------------------------------------*/
/* FEATURES */
/*-----------------------------------------------*/
.sectionFeatures .longCopy {
    margin-bottom: 30px;
}

/*-----------------------------------------------*/
/* MEALS */
/*-----------------------------------------------*/
.sectionMeals {
    padding: 0;
}

.mealsShowcase {
    list-style: none;
    width: 100%;
}

.mealsShowcase li {
    display: block;
    float: left;
    width: 25%;
}

.mealPhoto {
    width: 100%;
    margin: 0;
    overflow: hidden;
    background-color: #000;
}

.mealPhoto img {
    opacity: 0.7;
    width: 100%;
    height: auto;
    -webkit-transform: scale(1.15);
    transform: scale(1.15);
    -webkit-transition: opacity 0.5s, -webkit-transform 0.5s;
    transition: opacity 0.5s, -webkit-transform 0.5s;
    transition: transform 0.5s, opacity 0.5s;
    transition: transform 0.5s, opacity 0.5s, -webkit-transform 0.5s;
}

.mealPhoto img:hover {
    -webkit-transform: scale(1.03);
    transform: scale(1.03);
    opacity: 1;
}

/*-----------------------------------------------*/
/* HOW IT WORKS */
/*-----------------------------------------------*/
.sectionSteps {
    background-color: #f4f4f4;
}

.stepsBox:first-child {
    text-align: right;
    padding-right: 3%;
    margin-top: 30px;
}

.stepsBox:last-child {
    padding-left: 3%;
    margin-top: 70px;
}

.appScreen {
    width: 40%;
}

.worksStep {
    margin-bottom: 50px;
}

.worksStep:last-of-type {
    margin-bottom: 80px;
}

.worksStep div {
    color: #e67e22;
    border: 2px solid #e67e22;
    display: inline-block;
    border-radius: 50%;
    height: 55px;
    width: 55px;
    text-align: center;
    padding: 5px;
    float: left;
    font-size: 150%;
    margin-right: 25px;   
}

.btnApp:link,
.btnApp:visited {
    border: 0;
}

.btnApp img {
    height: 50px;
    width: auto;
    margin-right: 10px;
}

/*-----------------------------------------------*/
/* CITIES */
/*-----------------------------------------------*/
.box img {
    width: 100%;
    height: auto;
    margin-bottom: 15px;
}

.cityFeature {
    margin-bottom: 5px;
}

/*-----------------------------------------------*/
/* TESTIMONIALS */
/*-----------------------------------------------*/
.sectionTestimonials {
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0.8)), to(rgba(0, 0, 0, 0.8))), url(img/back-customers-min.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(img/back-customers-min.jpg);
    background-size: cover;
    color: #fff;
    background-attachment: fixed;
}

blockquote {
    padding: 2%;
    font-style: italic; 
    line-height: 145%;
    position: relative;
    margin-top: 40px;
}

blockquote:before {
    content: "\201C";
    font-size: 500%;
    display: block;
    position: absolute;
    top: -5px;
    left: -3px;
}

cite {
    font-size: 90%;
    margin-top: 25px;
    display: block;
}

cite img {
    height: 45px;
    border-radius: 50%;
    margin-right: 10px;
    vertical-align: middle;
}

/*-----------------------------------------------*/
/* PRICING PLANS AND SIGN UP */
/*-----------------------------------------------*/
.sectionPlans {
    background-color: #f4f4f4;
}

.planBox {
    background-color: #fff;
    border-radius: 5px;
    width: 90%;
    margin-left: 5%;
    -webkit-box-shadow: 0 2px 2px #efefef;
    box-shadow: 0 2px 2px #efefef;
}

.planBox div {
    padding: 15px;
    border-bottom: 1px solid #e8e8e8;
}

.planBox div:first-child {
    background-color: #fcfcfc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.planBox div:last-child {
    text-align: center;
    border: none;
}

.planPrice {
    font-size: 300%;
    margin-bottom: 10px;
    font-weight: 100;
    color: #e67e22;
}

.planPrice span {
    font-size: 33%;
    font-weight: 300;
}

.planPriceMeal {
    font-size: 80%;
}

.planBox ul {
    list-style: none;
}

.planBox ul li {
    padding: 5px 0;
}

/*-----------------------------------------------*/
/* FORM */
/*-----------------------------------------------*/
.contactForm {
    width: 90%;
    margin: 0 auto;
}

input[type=text],
input[type=email],
select,
textarea {
    width: 100%;
    padding: 7px;
    border-radius: 3px;
    border: 1px solid #ccc;
}

textarea {
    height: 120px;
}

input[type=checkbox] {
    margin: 10px 5px 10px 0;
}

*:focus {outline: none;}
/*    removes the blue outline bars around the forms*/

.mapBox {
    width: 100%;
    height: 625px;
    position: relative;
}

.map {
    width: 100%;
    height: 625px;
    position: relative;
    z-index: 0;
}

.formBox{
    position: absolute;
    width: 50%;
    top: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 10;
    height: 625px;
    padding-top: 40px;
}

.formMessages {
    width: 70%;
    margin: 0 auto;
    padding: 10px;
    border-radius: 3px;
    margin-bottom: 30px;
    color: #333;
}

.success {
    background-color: rgba(0, 128, 0, 0.8);
}

.error {
    background-color: rgba(255, 0, 0, 0.8);
}



/*-----------------------------------------------*/
/* FOOTER */
/*-----------------------------------------------*/

footer {
    background-color: #333;
    padding: 50px;
    font-size: 80%;
}

.footerNav {
    list-style: none;
    float: left;
}

.socialLinks {
    list-style: none;
    float: right;
}

.footerNav li,
.socialLinks li {
    display: inline-block;
    margin-right: 20px;
}

.footerNav li:last-child,
.socialLinks li:last-child {
    margin-right: 0;
}

.footerNav li a:link,
.footerNav li a:visited,
.socialLinks li a:link,
.socialLinks li a:visited {
    text-decoration: none;
    border: 0;
    color: #888;
    -webkit-transition: color 0.2s;
    transition: color 0.2s;
}

.footerNav li a:hover,
.footerNav li a:active {
    color: #ddd;
}

.socialLinks li a:link,
.socialLinks li a:visited {
    font-size: 150%;
}

.ion-social-facebook,
.ion-social-twitter,
.ion-social-googleplus,
.ion-social-instagram {
    -webkit-transition: color 0.2s;
    transition: color 0.2s;
}

.ion-social-facebook:hover {
    color: #3b5998;
}
.ion-social-twitter:hover {
    color: #00aced;
}
.ion-social-googleplus:hover {
    color: #dd4b39;
}
.ion-social-instagram:hover {
    color: #517fa4;
}

footer p {
    color: #888;
    text-align: center;
    font-size: 80%;
    margin-top: 20px;
}

/*-----------------------------------------------*/
/* ANIMATIONS */
/*-----------------------------------------------*/
.jsWaypoint1, 
.jsWaypoint2, 
.jsWaypoint3  {
    opacity: 0;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
}

.jsWaypoint4 {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
}

.jsWaypoint1.animated, 
.jsWaypoint2.animated, 
.jsWaypoint3.animated {
    opacity: 1;
}